Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class WebBrowser

    java.lang.Object
      com.bbn.openmap.util.WebBrowser

public class WebBrowser
extends java.lang.Object

WebBrower - handles the WebBrowser process on behalf of OM.

Constructor Summary
`WebBrowser()` Create a webbrowser.

Method Summary
`void` | `exitValue()` Calls the Process function of the same name to determine if the process has finished, and what its exit value was.
`protected java.lang.String` | `generateLaunchCmd(java.lang.String url)` Get the launch cmd.
`void` | `launch(java.lang.String urlString)` Creates a new web browser process, or points the current one to the url argument.
`static void` | `main(java.lang.String[] argv)`
`protected void` | `sendTo(java.lang.String url)` Points a web browser that's already running where to go next.
`void` | `setInfoDelegator(InfoDisplayListener info)`
`void` | `writeAndLaunch(java.lang.String text)` Writes out temporary text file, and creates a new web browser process or points the current one at the file.
`protected java.lang.String` | `writeFileAndGenerateURL(java.lang.String text)` Write temporary file to temporary directory, and generate URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebBrowser

    public WebBrowser()

  Create a webbrowser.

Method Detail

### generateLaunchCmd

    protected java.lang.String generateLaunchCmd(java.lang.String url)

  Get the launch cmd.

  Parameters:
    `url` - URL to show
  Returns:
    String

### writeFileAndGenerateURL

    protected java.lang.String writeFileAndGenerateURL(java.lang.String text)

  Write temporary file to temporary directory, and generate URL.

  Parameters:
    `text` - text String
  Returns:
    String file URL

### sendTo

    protected void sendTo(java.lang.String url)

  Points a web browser that's already running where to go next.

  Parameters:
    `url` - URL to go

### setInfoDelegator

    public void setInfoDelegator(InfoDisplayListener info)

### launch

    public void launch(java.lang.String urlString)

  Creates a new web browser process, or points the current one to the url argument.

  Parameters:
    `urlString` - URL

### writeAndLaunch

    public void writeAndLaunch(java.lang.String text)

  Writes out temporary text file, and creates a new web browser process or points the current one at the file.

  Parameters:
    `text` - String

### exitValue

    public void exitValue()

  Calls the Process function of the same name to determine if the process has finished, and what its exit value was.

  If it is finished, then it removes the temporary files and nullifies itself.

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details